Subject: Re: [PATCH/RFC 0/7] Multiple simultaneously locked ref updates

From: Brad King <[email-masked]>
Date: Thu, 29 Aug 2013 11:46:56 -0400

On 08/29/2013 11:32 AM, Martin Fick wrote:
> On Thursday, August 29, 2013 08:11:48 am Brad King wrote:
>>
>>    fatal: Unable to create '....lock': File exists.
>>    If no other git process is currently running, this
>> probably means a git process crashed in this repository
>> earlier. Make sure no other git process is running and
>> remove the file manually to continue.
> 
> I don't believe git currently tries to do any form of stale 
> lock recovery since it is racy and unreliable (both single 
> server or on a multi-server shared repo),

Nor should it in this case.  I was saying that the front-end
needs to reject duplicate ref names from the stdin lines before
trying to lock the ref twice to avoid this message.  I'm asking
for a suggestion for existing data structure capabilities in
Git's source to efficiently detect the duplicate name.

-Brad